Retrieve tracks.

get https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name/storage/

The Azure Storage Data Retrieval API is designed to provide restricted information about data stored in Azure Storage containers. This API allows users to interact with data in a secure and efficient manner, without directly altering the stored data.

Here are key features and purposes of this API:

List Container Contents: It enumerates the contents of an Azure Storage container. This operation returns both files and folders within the specified container, enabling users to navigate through the hierarchical data structure.

View Track Listings: This API will generate available track listings for any media files contained within the specified container. Track listings are inclusive of video, audio, and text tracks. If available, the API will also return the track's language and bitrate.

Security: This API is scoped only to the configured storage account and is only accessible to users who have access to the subscription in which the asset resides. It is a readonly API that does not allow for any mutation or creation operations, and which cannot be used to retrieve any data from the storage account.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
asset_name string Required

Response

200 Tracks and Files Listing
metadataobjectAssetStorageDataMetadataSchemaRequired
Metadata about the asset.
Show 2 propertiesHide 2 properties
idstringRequiredformat: uuid
The unique identifier for the asset.
namestringRequired
The name of the asset.
specobjectAssetStorageDataSpecSchemaRequired
The storage container data.
Show 8 propertiesHide 8 properties
containerstringRequired
The name of the storage container.
errormap from strings to stringOptional
A dictionary containing error information. This field will be populated in cases where no valid tracks are present.
Show value schemaHide value schema
[any key]string
exceptionsobjectExceptionsSchemaOptional
A list of exceptions that occurred during the retrieval process. This is a non-critical field and will only be populated if an exception occurs.
Show 1 propertyHide 1 property
additionalPropertiesstringRequired
fileslist of objectsFileSchemaRequired
A list of files in the storage container. This only represents files present at the top-level of the container.
Show 2 propertiesHide 2 properties
namestringRequired
sizeintegerRequired
folderslist of objectsFolderSchemaRequired
A list of folders in the storage container.
Show 1 propertyHide 1 property
namestringRequired
formatHintstringRequired
A hint to the client as to the format of the data. mk.mezz.v0 is MediaKind's mezzanine format and will emit a period element. ams.v0 is Azure Media Services' format and will emit a tracks element.
periodsmap from strings to objectPeriodOptional
A map of available content for each eligible file in the storage container. Typically just '0/index/edge'. Periods are extracted from the latest instance of the MediaKind mezzanine representation format available in the container. Tracks or Periods will be available, but not both.
Show value schemaHide value schema
[any key]object
Show 5 propertiesHide 5 properties
adaptation_setlist of objectsAdaptationSetOptional
Show 11 propertiesHide 11 properties
accessibilitylist of objectsAccessibilityOptional
Show 2 propertiesHide 2 properties
schemeIdUristringOptional
valuestringOptional
contentTypestringOptional
idstringOptional
maxFrameRatestringOptional
maxHeightstringOptional
maxWidthstringOptional
mimeTypestringOptional
parstringOptional
representationlist of objectsRepresentationOptional
Show 11 propertiesHide 11 properties
audio_channel_configurationlist of objectsAudioChannelConfigurationOptional
Show 2 propertiesHide 2 properties
schemeIdUristringOptional
valuestringOptional
bandwidthstringOptional
codecsstringOptional
frameRatestringOptional
heightstringOptional
idstringOptional
mimeTypestringOptional
sarstringOptional
scanTypestringOptional
startsWithSAPstringOptional
widthstringOptional
rolelist of objectsRoleOptional
Show 2 propertiesHide 2 properties
schemeIdUristringOptional
valuestringOptional
segmentAlignmentstringOptional
asset_identifierobjectAssetIdentifierOptional
Show 2 propertiesHide 2 properties
schemeIdUristringOptional
valuestringOptional
idstringOptional
resource_typestringRequired
startstringOptional
tracksmap from strings to objectTrackSchemaOptional
A map of available content for each eligible file in the storage container. Tracks are extracted from all eligible files within the container and are presented to the client with the filename as the dictionary key. Tracks or Periods will be available, but not both.
Show value schemaHide value schema
[any key]object
Show 2 propertiesHide 2 properties
bodyobjectBodySchemaRequired
Show 3 propertiesHide 3 properties
audiolist of objectsAudioSchemaRequired
Show 5 propertiesHide 5 properties
srcstringRequired
systemBitratestringRequired
systemLanguagestringRequired
trackIDstringRequired
trackNamestringRequired
textstreamlist of objectsTextStreamSchemaRequired
Show 8 propertiesHide 8 properties
SchemestringOptional
manifestOutputstringRequired
parentTrackNamestringRequired
srcstringRequired
systemBitratestringRequired
timescalestringOptional
trackIDstringRequired
trackNamestringRequired
videolist of objectsVideoSchemaRequired
Show 5 propertiesHide 5 properties
srcstringRequired
systemBitratestringRequired
systemLanguagestringRequired
trackIDstringRequired
trackNamestringRequired
headobjectHeadSchemaRequired
Show 6 propertiesHide 6 properties
availabilityStartTimestringRequiredformat: date-time
clientManifestRelativePathstringRequired
compatVersionstringRequired
extramap from strings to anyRequired
Show value schemaHide value schema
[any key]any
formatsstringRequired
fragmentsPerHLSSegmentstringRequired

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code